Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class LinuxPrincipal

    java.lang.Object
      com.ibm.security.auth.LinuxPrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class LinuxPrincipal

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

This class implements the `Principal` interface and represents a Linux user.

Principals such as this `LinuxPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

This class will be replaced by `UsernamePrincipal` in future releases of JAAS.

Author:
  D. Kent Soper
See Also:
  `Principal`, `Subject`, `UsernamePrincipal`, Serialized Form

Constructor Summary
`LinuxPrincipal(java.lang.String name)` Create an `LinuxPrincipal` with a Linux username.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `LinuxPrincipal` for equality.
`java.lang.String` | `getName()` Return the Linux username for this `LinuxPrincipal`.
`int` | `hashCode()` Return a hash code for this `LinuxPrincipal`.
`java.lang.String` | `toString()` Return a string representation of this `LinuxPrincipal`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinuxPrincipal

    public LinuxPrincipal(java.lang.String name)

  Create an `LinuxPrincipal` with a Linux username.

  Parameters:
    `name` - the Linux username for this user.
  Throws:
    `java.lang.NullPointerException` - if the `name` is `null`.

Method Detail

### getName

    public java.lang.String getName()

  Return the Linux username for this `LinuxPrincipal`.

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    the Linux username for this `LinuxPrincipal`

### toString

    public java.lang.String toString()

  Return a string representation of this `LinuxPrincipal`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `LinuxPrincipal`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `LinuxPrincipal` for equality. Returns true if the given object is also a `LinuxPrincipal` and the two LinuxPrincipals have the same name.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object to be compared for equality with this `LinuxPrincipal`.
  Returns:
    true if the specified Object is equal to this `LinuxPrincipal`.

### hashCode

    public int hashCode()

  Return a hash code for this `LinuxPrincipal`.

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for this `LinuxPrincipal`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD